package com.ruoyi.cai.ws.constant;

import lombok.Getter;

@Getter
public enum HangUpEnums {
    CANCEL(1,"主动取消"),
    REFUSE(2,"对方拒绝"),
    TIMEOUT(3,"超时"),
    TO(4,"被叫者挂断"),
    FROM(5,"主叫者挂断"),
    NOTMONEY(6,"费用不足"),
    OTHER(7,"其他问题"),
    TYPE_SPECIAL(8,"特殊用户挂断"),
    PORN_FROM(10,"男方色情违规"),
    PORN_TO(11,"女方色情违规"),
    ;
    private final Integer code;
    private final String msg;

    HangUpEnums(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
